TAU_PROFILER_GET_INC(3)

Name
TAU_PROFILER_GET_INCLUSIVE_VALUES - Returns the inclusive amount of a metric spend by this timer.

Synopsis

C/C++:

TAU_PROFILER_GET_INCLUSIVE_VALUES(Timer timer, double& incl);

description

TAU_PROFILER_GET_INCLUSIVE_VALUES Returns the inclusive amount of a metric spend while this timer was running (and any subsequent timers called from this timer.)

example

>C/C++:

    void *ptr;
    TAU_PROFILER_CREATE(ptr, "foo","", TAU_USER);
    TAU_PROFILER_START(ptr);
    foo(2);
    TAU_PROFILER_STOP(ptr);
    double incl[MAX_TAU_COUNTERS];
    TAU_PROFILER_GET_INCLUSIVE_VALUES(ptr, &incl);

See Also

TAU_PROFILER_CREATE TAU_PROFILER_START TAU_PROFILER_STOP TAU_PROFILER_GET_CALLS TAU_PROFILER_GET_CHILD_CALLS TAU_PROFILER_GET_ExCLUSIVE_VALUES TAU_PROFILER_GET_COUNTER_INFO